
|font codeFont titleFont installWebTools|

installWebTools := false.
Preferences disable: #showDeprecationWarnings.

Gofer gofer update.

Gofer new
	squeaksource: 'RoelTyper';
	addPackage: 'RoelTyper';
	load.

Gofer new
	squeaksource: 'NewInspector';
	addPackage: 'NewInspector'; "no override in version NewInspector-PF.34"
	load.

Gofer new
	squeaksource: 'shout';
	addPackage: 'Shout'; "no override in version 73"
	addPackage: 'ShoutWorkspace.1'; "no override in version 4"
	load.

Gofer new
	squeaksource: 'rb';
	addPackage: 'AST-Core';
	addPackage: 'Refactoring-Core';
	addPackage: 'Refactoring-Spelling';
	load.

Gofer new
	wiresong: 'ob';
	addPackage: 'OmniBrowser';
	addPackage: 'OB-Morphic';
	addPackage: 'OB-Standard';
	addPackage: 'OB-Refactory';
	addPackage: 'OB-Regex';
	addPackage: 'OB-SUnitIntegration';
	addPackage: 'OB-Shout';
	load.

Gofer new
	squeaksource: 'EnhancedOB';
	addPackage: 'OmniBrowser2';
	addPackage: 'O2-Standard';
	addPackage: 'O2-Morphic';
	addPackage: 'O2-Enhancements';
	addPackage: 'OCForO2';
	addPackage: 'O2-Refactory';
	load.

[Gofer new
	squeaksource: 'OCompletion';
	addPackage: 'Ocompletion';
	addPackage: 'OCForOB';
	load.
] valueSupplyingAnswers: {{ 'list of packages'. 'Kernel* Collection*' }}.

Gofer new
	squeaksource: 'Nile';
	addPackage: 'Nile-All';
	load.

Gofer new
	squeaksource: 'autoMethodCat';
	addPackage: 'AutomaticMethodCategorizer';
	addPackage: 'AutomaticMethodCategorizerOB';
	load.

Gofer new
	squeaksource: 'PharoMorphicExtras';
	addPackage: 'MorphExamplesAndDemos';
	addPackage: 'LED';
	load.

Gofer new
	squeaksource: 'PharoSound';
	addPackage: 'Sound';
	addPackage: 'SoundMorphicUserInterface';
	load.

installWebTools ifTrue: [

	Gofer new
		squeaksource: 'KomHttpServer';
		addPackage: 'DynamicBindings';
		addPackage: 'KomServices';
		addPackage: 'KomHttpServer';
		load.
	
	[Gofer new
		squeaksource: 'Seaside';
		addPackage: 'Seaside2.8a1';
		addPackage: 'Scriptaculous';
		load.] valueSupplyingAnswers: {
		       			 {'.*username.*' . 'admin'} .
					 {'.*password.*' . 'seaside'}}.

 	Gofer new
		renggli: 'slime';
		addPackage: 'Slime';
		load.

	Gofer new
		squeaksource: 'rsrss';
		addPackage: 'RSRSS2';
		load.

	Gofer new
		renggli: 'magritte';
		addPackage: 'Magritte-All';
		load.

	[Gofer new
		renggli: 'pier';
 		addPackage: 'Pier-All';
		addPackage: 'Pier-Squeak-Persistency';
		load] valueSupplyingAnswers: {
			{  'Would you like.*' . true}.
			{  '.*name of your Pier kernel.*' . 'Pier'}.
 			{  '.*entry point.*' . 'pier'}.
 			{  '.*port number.*' . '8080'}}.

	[Gofer new
		renggli: 'pieraddons';
		addPackage: 'Pier-Design';
		addPackage: 'Pier-Documents';
		addPackage: 'Pier-EditorEnh';
		addPackage: 'Pier-Google';
		addPackage: 'Pier-LightBox';
		addPackage: 'Pier-Links';
		addPackage: 'Pier-Randomizer';
		addPackage: 'Pier-Setup';
		addPackage: 'Pier-SyntaxHighlighter';
		addPackage: 'Pier-TagCloud';
		addPackage: 'Pier-Titles';
		addPackage: 'Pier-Twitter';
		addPackage: 'Sitemap';
		load] valueSupplyingAnswers: {{ '.*SlideShare.*' . ''}}.

	Gofer new
		renggli: 'unsorted';
		addPackage: 'RFB';
		load.

	(Smalltalk classNamed: #PRDistribution) new register.
].

"
   FreeTypeFontProvider current updateFromSystem.
   		
   font := LogicalFont familyName: 'DejaVu Sans' pointSize: 10.
   codeFont := LogicalFont familyName: 'DejaVu Sans Mono' pointSize: 9.
   titleFont := LogicalFont familyName: 'DejaVu Sans' pointSize: 11.

   Preferences
   	setListFontTo: font;
   	setMenuFontTo: font;
   	setCodeFontTo: codeFont;
   	setButtonFontTo: font;
   	setSystemFontTo: font;
   	setWindowTitleFontTo: titleFont.
"
Preferences
	disable: #annotationPanes;
	disable: #allwaysShowVScrollBar;
	enable: #alternativeButtonsInScrollBars;
	disable: #fadedBackgroundWindows;
	disable: #fastDragWindowForMorphic;
	disable: #fullScreenLeavesDeskMargins;
	enable: #generalizedYellowButtonMenu;
	enable: #mouseClickForKeyboardFocus;	
	enable: #noWindowAnimationForClosing;
	disable: #scrollBarsNarrow;
	disable: #scrollBarsWithoutMenuButton;
	disable: #showSplitterHandles;
	disable: #syntaxHighlightingAsYouTypeAnsiAssignment;
	enable: #showTextEditingState;
	disable: #windowAnimation;
	setPreference: #GlyphContrast toValue: 55;
	disable: #roundedWindowCorners;
	disable: #roundedMenuCorners.

UIThemeStandardSqueak beCurrent.
UIThemeWatery2 beCurrent.
	
Gofer new
	squeaksource: 'ImageForDevelopers';
	addPackage: 'ImageForDevelopers-pharo';
	load.

(Smalltalk classNamed: #DEVImageCreator) default install.

SystemBrowser default: (Smalltalk classNamed: #OBSystemBrowserAdaptor).

Preferences enable: #showDeprecationWarnings.

SmalltalkImage current snapshot: true andQuit: true.
